javax.xml.transform.sax

## Interface TemplatesHandler

All Superinterfaces:
  ContentHandler

    public interface TemplatesHandler
    extends ContentHandler

A SAX ContentHandler that may be used to process SAX parse events (parsing transformation instructions) into a Templates object.

Note that TemplatesHandler does not need to implement LexicalHandler.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Templates` `getTemplates()` When a TemplatesHandler object is used as a ContentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
`void` `setSystemId(java.lang.String systemID)` Set the base ID (URI or system ID) for the Templates object created by this builder.

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Method Detail

#### getTemplates

    Templates getTemplates()

When a TemplatesHandler object is used as a ContentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.

Returns:
  The Templates object that was created during the SAX event process, or null if no Templates object has been created.

#### setSystemId

    void setSystemId(java.lang.String systemID)

Set the base ID (URI or system ID) for the Templates object created by this builder. This must be set in order to resolve relative URIs in the stylesheet. This must be called before the startDocument event.

Parameters:
  `systemID` - Base URI for this stylesheet.

#### getSystemId

    java.lang.String getSystemId()

Get the base ID (URI or system ID) from where relative URLs will be resolved.

Returns:
  The systemID that was set with `setSystemId(java.lang.String)`.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.